# Class BalancesInfo

#### Hierarchy

- unknown
  - BalancesInfo

- Defined in src/protobuf/grpc_pb.d.ts:3582
- Defined in src/protobuf/grpc_pb.d.ts:3601

#####
Index

### Constructors

constructor

### Methods

clearBtc
clearXmr
getBtc
getXmr
hasBtc
hasXmr
serializeBinary
setBtc
setXmr
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new BalancesInfo(): BalancesInfo

- #### Returns BalancesInfo

  Inherited from jspb.Message.constructor

## Methods

### clearBtc

- clearBtc(): BalancesInfo

- #### Returns BalancesInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3586

### clearXmr

- clearXmr(): BalancesInfo

- #### Returns BalancesInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3591

### getBtc

- getBtc(): undefined | BtcBalanceInfo

- #### Returns undefined | BtcBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3583

### getXmr

- getXmr(): undefined | XmrBalanceInfo

- #### Returns undefined | XmrBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3588

### hasBtc

- hasBtc(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:3585

### hasXmr

- hasXmr(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:3590

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3593

### setBtc

- setBtc(value?: BtcBalanceInfo): BalancesInfo

- #### Parameters

  - ##### `Optional` value: BtcBalanceInfo

  #### Returns BalancesInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3584

### setXmr

- setXmr(value?: XmrBalanceInfo): BalancesInfo

- #### Parameters

  - ##### `Optional` value: XmrBalanceInfo

  #### Returns BalancesInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3589

### toObject

- toObject(includeInstance?: boolean): BalancesInfo.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns BalancesInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3594

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): BalancesInfo

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns BalancesInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3597

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: BalancesInfo, reader: BinaryReader): BalancesInfo

- #### Parameters

  - ##### message: BalancesInfo

  - ##### reader: BinaryReader

  #### Returns BalancesInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3598

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: BalancesInfo, writer: BinaryWriter): void

- #### Parameters

  - ##### message: BalancesInfo

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3596

### `Static` toObject

- toObject(includeInstance: boolean, msg: BalancesInfo): BalancesInfo.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: BalancesInfo

  #### Returns BalancesInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3595

Generated using TypeDoc